Skip to navigation

Users Resource

View as Markdown

A new user is created when an account administrator or another authorized user sends an invitation to an email address. After the invitation is sent, the user’s status is pending. When the recipient accepts the invitation, their user status switches to active.

Inviting a user to a room

To invite a user to a room, use the Rooms: InviteUser method. You can invite anyone to join a room by specifying their email address.

The canAddUsersToRooms permission must be true to invite a user to a room.

Adding a user to a company Rooms account

To invite a user to a company account, use the Users: InviteUser method.

You must be either an account administrator (Default Admin) or another authorized user who is assigned a company role that has one of the following userPermissions set to true:

  • canAddMemberAndSetRoleLowerAccessLevel: Users can add other users who have a lower access level than their own and set those users’ roles (in offices or regions that they oversee).
  • canAddMemberAndSetRoleSameAccessLevel: Users can add other users who have the same access level as their own and set those users’ roles (in offices or regions that they oversee or belong to).

Note: Before you invite users, Docusign strongly recommends that you set up custom roles for your company. For more information, see Roles.

Methods supported

MethodDescription
AddUserToOfficePOST /restapi/v2/accounts/{accountId}/users/{userId}/add_to_office
Adds a user to an office.
AddUserToRegionPOST /restapi/v2/accounts/{accountId}/users/{userId}/add_to_region
Adds a user to a region.
GetUserGET /restapi/v2/accounts/{accountId}/users/{userId}
Gets a user.
GetUsersGET /restapi/v2/accounts/{accountId}/users
Gets a list of users.
InviteUserPOST /restapi/v2/accounts/{accountId}/users/invite_user
Invites a user to a company account.
LockUserPOST /restapi/v2/accounts/{accountId}/users/{userId}/lock
Locks a user’s account.
ReinviteUserPOST /restapi/v2/accounts/{accountId}/users/{userId}/reinvite
Reinvites a user to join a company account.
RemoveUserDEL /restapi/v2/accounts/{accountId}/users/{userId}
Removes a user from a company account.
RemoveUserFromOfficePOST /restapi/v2/accounts/{accountId}/users/{userId}/remove_from_office
Removes a user from an office.
RemoveUserFromRegionPOST /restapi/v2/accounts/{accountId}/users/{userId}/remove_from_region
Removes a user from a region.
UnlockUserPOST /restapi/v2/accounts/{accountId}/users/{userId}/unlock
Unlocks a user’s account.
UpdateUserPUT /restapi/v2/accounts/{accountId}/users/{userId}
Updates a user’s default office.

Users properties

PropertyTypeDescription
endPositioninteger (int32)The last zero-based index position in the result set.
nextUristringThe URI for the next chunk of records based on the search request. This property is null for the last set of search results.
priorUristringThe URI for the previous chunk of records based on the search request. This property is null for the first set of search results.
resultSetSizeinteger (int32)The number of results returned in this response.
startPositioninteger (int32)The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.
totalRowCountinteger (int32)The number of results in this reponse.
userSummariesarrayA list of users.